Bug 91511 - Sidebar: Document themes deck has the same icon in the sidebar tab bar as the Styles & Formatting deck
Summary: Sidebar: Document themes deck has the same icon in the sidebar tab bar as the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 93769 95470 (view as bug list)
Depends on:
Blocks: 90497 Sidebar-Tab-Bar Sidebar-Design
  Show dependency treegraph
 
Reported: 2015-05-23 10:20 UTC by riesslibo
Modified: 2018-05-07 02:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sidebar with wrench two times (7.33 KB, image/png)
2015-05-23 10:20 UTC, riesslibo
Details
activating "Design" in the sidebar with extended functions option (116.67 KB, image/png)
2016-03-13 13:24 UTC, riesslibo
Details
now doubled icon styles&formating with Design (116.47 KB, image/png)
2016-03-13 13:25 UTC, riesslibo
Details
Sidebar (Writer) (26.15 KB, image/jpeg)
2016-03-14 09:37 UTC, baffclan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description riesslibo 2015-05-23 10:20:52 UTC
Created attachment 115879 [details]
sidebar with wrench two times

If I start a new empty writer document from the splashscreen clicking on "writer",
the sidebar is shown with the wrench two times, one on the top for properties and one on the bottom for "Design". Didn't change anything on toolbars or something like this in the UI for this installation.

Reproduction with these steps:
1. double click on the desktop icon
2. click on writer to open an empty new writer document
3. writer is opend with the sidebar and the doubled icon "wrench" with two different functions (see screenshot)

Expected behavior:
not the same icon (double used) for different functions in the sidebar
Comment 1 Adolfo Jayme 2015-05-23 11:15:08 UTC
Thanks for your bug report.
Comment 2 Olivier Hallot 2015-05-23 14:15:04 UTC
Confirmed, the icon is the same as the 1st whatever icon set is in place.
Comment 3 Yousuf Philips (jay) (retired) 2015-08-08 22:40:47 UTC
This button only appears if experimental features is enabled and presently it has the same icon as the styles & formatting tab. This relates to the work Tomaz is doing for document themes.
Comment 4 Maxim Monastirsky 2015-08-29 20:11:15 UTC
*** Bug 93769 has been marked as a duplicate of this bug. ***
Comment 5 Maxim Monastirsky 2015-10-31 18:30:19 UTC
*** Bug 95470 has been marked as a duplicate of this bug. ***
Comment 6 baffclan 2016-03-13 11:03:54 UTC
WFM on 5.1.1.3 (x64)
Comment 7 riesslibo 2016-03-13 13:23:50 UTC
Hm, not realy, its no longer the wrench, that's right, but if you activate the Design group in the sidebar (see first additional added screenshot) then there is the styles and formatting icon twice (see second additional added screenshot)

So no longer doubled wrench, right, but same issue with other icon now, I think.

But nevertheless thanks for looking after this issue baffclan.
Comment 8 riesslibo 2016-03-13 13:24:36 UTC
Created attachment 123536 [details]
activating "Design" in the sidebar with extended functions option
Comment 9 riesslibo 2016-03-13 13:25:29 UTC
Created attachment 123537 [details]
now doubled icon styles&formating with Design
Comment 10 baffclan 2016-03-14 09:37:33 UTC
Created attachment 123552 [details]
Sidebar (Writer)

I tried new profile, but cannot reproduce.
(customized?)

Windows 7 Pro(x64)
Version: 5.1.1.3 (x64)
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: ja-JP (ja_JP)
Comment 11 riesslibo 2016-03-14 09:40:58 UTC
Hm, did you have activated the experimental features in the options after using a new profile?

Thanks,
Lothar
Comment 12 Yousuf Philips (jay) (retired) 2016-03-14 12:28:59 UTC
As the experimental feature is not fully implemented yet, a suitable icon hasnt been created.
Comment 13 QA Administrators 2018-05-07 02:30:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug